<?php
require_once IFSO_PLUGIN_SERVICES_BASE_DIR . 'triggers-service/triggers/trigger-base.class.php';
require_once IFSO_BROWSER_TYPE_DIR . '/Browser.php';
use IfSo\PublicFace\Services\TriggersService\Triggers as IfSoTriggers;

class browserTypeTrigger extends IfSoTriggers\TriggerBase{
    public function __construct() {
        parent::__construct('browserType');
    }

    public function handle($trigger_data){  
        $rule = $trigger_data->get_rule();
        $content = $trigger_data->get_content();

        $browserTypeVal = $rule['browsertype-value'];
        $relarionship = $rule['browsertype-relationship'];
		
		if($relarionship === 'is' && $this->browser_type_is_in_list([$browserTypeVal]))
            return $content;
        if($relarionship === 'is-not' && !$this->browser_type_is_in_list([$browserTypeVal]))
            return $content;		

        return false;
    }
	
	private function browser_type_is_in_list($list){
        $objBrowser = new Browser();
        $visitorBrowser = strtolower($objBrowser->getBrowser());
		if(in_array($visitorBrowser,$list)){
                    return true;
        }
        return false;
    }

 }